Skip to content
Start here

Cancel a crawl job.

browser_rendering.crawl.delete(strjob_id, CrawlDeleteParams**kwargs) -> CrawlDeleteResponse
DELETE/accounts/{account_id}/browser-rendering/crawl/{job_id}

Cancels an ongoing crawl job by setting its status to cancelled and stopping all queued URLs.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str

Account ID.

job_id: str

The ID of the crawl job to cancel.

ReturnsExpand Collapse
class CrawlDeleteResponse:
job_id: str

The ID of the cancelled job.

message: str

Cancellation confirmation message.

Cancel a crawl job.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
crawl = client.browser_rendering.crawl.delete(
    job_id="job_id",
    account_id="account_id",
)
print(crawl.job_id)
{
  "result": {
    "job_id": "job_id",
    "message": "message"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}
Returns Examples
{
  "result": {
    "job_id": "job_id",
    "message": "message"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}